SQ(1)

NAME
sq key subkey export - Export secret key material from the secret key store

SYNOPSIS
sq key subkey export [OPTIONS]

DESCRIPTION
Export secret key material from the secret key store.

Exports the secret key material. Note that even if secret key material is available, it may not be exportable. For instance, secret key material stored on a hardware security module usually cannot be exported from the device.

The entire certificate is exported, but only the specified key's secret key material is exported. An error is returned if the secret key material for the specified key is not available.

If you want to export all secret key material associated with a certificate, use `sq key export`.

OPTIONS

  Subcommand options

--cert=FINGERPRINT|KEYID
    Use certificates with the specified fingerprint or key ID

--cert-email=EMAIL
    Use certificates where a user ID includes the specified email address

--cert-userid=USERID
    Use certificates with the specified user ID

--key=FINGERPRINT|KEYID
    Export the secret key material for the specified primary key or subkey

--output=FILE
    Write to FILE or stdout if omitted

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Export Alice's signing-capable and encryption-capable subkeys, but not her primary key or her authentication-capable subkey.

    sq key subkey export \
        --cert=EB28F26E2739A4870ECC47726F0073F60FD0CBF0 \
        --key=42020B87D51877E5AF8D272124F3955B0B8DECC8 \
        --key=74DCDEAF17D9B995679EB52BA6E65EA2C8497728

SEE ALSO
sq(1), sq-key(1), sq-key-subkey(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
1.2.0 (sequoia-openpgp 1.22.0)